#! /bin/bash
#
# script, to copy log files for a better bug reporting
# user session data is logged is ~/.cache/upstart
# system session loggs are logged in /var/log
#
# In this script ~/.cache/upstart and 
# (only) /var/log/syslog (incl. archives) are used for reporting.

# definition of the variables

DAY_TIME=$( date +%Y%m%d_%H%M )
PATH_SCRIPT=${0}
PARENT_PATH=${0%/*}

# create log file directory

mkdir /home/phablet/Documents/$DAY_TIME
# mkdir /home/phablet/Documents/$DAY_TIME/upstart
# mkdir /home/phablet/Documents/$DAY_TIME/crash

# copy files to the new directory
# important log files are: syslog and the files in upstart and crash

cp /var/log/syslo* /home/phablet/Documents/$DAY_TIME/
cp -a /home/phablet/.cache/upstart /home/phablet/Documents/$DAY_TIME/
cp -a /var/crash /home/phablet/Documents/$DAY_TIME/
cp $PATH_SCRIPT /home/phablet/Documents/$DAY_TIME/

echo all copies done
echo PATH_SCRIPT "$PATH_SCRIPT"
echo PARENT_PATH "$PARENT_PATH"

tar -czf $DAY_TIME.tar.gz $DAY_TIME/

echo
echo A file called "$DAY_TIME".tar.gz has been created in the directory:
echo /home/phablet/Documents/
echo You can use this file to attach it to your bug report.
echo
echo You have used the following script: "$PATH_SCRIPT"
echo

exit 0

# end of the script
